USERINFO(8)

NAME
userinfo - display user information

SYNOPSIS
userinfo [-e] user

DESCRIPTION
The userinfo utility displays information about the specified user. The fields shown are defined in master.passwd(5). The encrypted password is only displayed if the calling user is the superuser.

The options are as follows:

-e  Do not display anything (quiet mode). This form of the command is useful for scripts which need to check whether a particular user name or UID is already in use on the system.

The user argument may be either a user name or a user ID (UID).

EXIT STATUS
The userinfo utility exits 0 if user exists, and non-zero if it does not.

SEE ALSO
id(1), passwd(5), groupinfo(8), user(8)

HISTORY
The userinfo utility first appeared in OpenBSD 2.7.

AUTHORS
The userinfo utility was written by Alistair G. Crooks <agc@NetBSD.org>.